org.apache.commons.io.function

## Interface IOTriConsumer<T,U,V>

- Type Parameters:
    `T` - the type of the first argument to the operation
    `U` - the type of the second argument to the operation
    `V` - the type of the third argument to the operation
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IOTriConsumer<T,U,V>

  Like `BiConsumer` but throws `IOException`.
  Since:
    2.12.0
  See Also:
    `BiConsumer`

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(T t, U u, V v)` Performs this operation on the given arguments.
    `default IOTriConsumer<T,U,V>` | `andThen(IOTriConsumer<? super T,? super U,? super V> after)` Creates a composed `IOTriConsumer` that performs, in sequence, this operation followed by the `after` operation.
    `static <T,U,V> IOTriConsumer<T,U,V>` | `noop()` Returns the no-op singleton.

- - ### Method Detail

    - #### noop

          static <T,U,V> IOTriConsumer<T,U,V> noop()

      Returns the no-op singleton.
      Type Parameters:
        `T` - the type of the first argument to the operation
        `U` - the type of the second argument to the operation
        `V` - the type of the third argument to the operation
      Returns:
        The no-op singleton.

    - #### accept

          void accept(T t,
                      U u,
                      V v)
               throws IOException

      Performs this operation on the given arguments.
      Parameters:
        `t` - the first input argument
        `u` - the second input argument
        `v` - the second third argument
      Throws:
        `IOException` - if an I/O error occurs.

    - #### andThen

          default IOTriConsumer<T,U,V> andThen(IOTriConsumer<? super T,? super U,? super V> after)

      Creates a composed `IOTriConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
      Parameters:
        `after` - the operation to perform after this operation
      Returns:
        a composed `IOTriConsumer` that performs in sequence this operation followed by the `after` operation
      Throws:
        `NullPointerException` - if `after` is null

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.